org.apache.olingo.server.api.uri

## Interface UriInfo

- All Superinterfaces:
    UriInfoAll, UriInfoBatch, UriInfoCrossjoin, UriInfoEntityId, UriInfoMetadata, UriInfoResource, UriInfoService

      public interface UriInfo
      extends UriInfoService, UriInfoMetadata, UriInfoResource, UriInfoBatch, UriInfoAll, UriInfoCrossjoin, UriInfoEntityId

  Object acting as general access to URI information extracted from the request URI.

  Depending on the URI info kind different interfaces are used to provide access to that information. Use method `getKind()` to obtain URI info kind information and to perform an appropriate cast.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `UriInfoAll` | `asUriInfoAll()` Convenience casting method.
    `UriInfoBatch` | `asUriInfoBatch()` Convenience casting method.
    `UriInfoCrossjoin` | `asUriInfoCrossjoin()` Convenience casting method.
    `UriInfoEntityId` | `asUriInfoEntityId()` Convenience casting method.
    `UriInfoMetadata` | `asUriInfoMetadata()` Convenience casting method.
    `UriInfoResource` | `asUriInfoResource()` Convenience casting method.
    `UriInfoService` | `asUriInfoService()` Convenience casting method.
    `List<AliasQueryOption>` | `getAliases()` Gets a list of all alias definitions which were in the URI (including aliases not used anywhere).
    `UriInfoKind` | `getKind()` See `UriInfoKind` for more details which kinds are allowed.
    `List<SystemQueryOption>` | `getSystemQueryOptions()` Gets a list of all system query options which were in the URI.

    - ### Methods inherited from interface org.apache.olingo.server.api.uri.UriInfoMetadata

      `getFormatOption, getFragment`

    - ### Methods inherited from interface org.apache.olingo.server.api.uri.UriInfoResource

      `getApplyOption, getCountOption, getCustomQueryOptions, getDeltaTokenOption, getExpandOption, getFilterOption, getFormatOption, getIdOption, getOrderByOption, getSearchOption, getSelectOption, getSkipOption, getSkipTokenOption, getTopOption, getUriResourceParts, getValueForAlias`

    - ### Methods inherited from interface org.apache.olingo.server.api.uri.UriInfoAll

      `getCountOption, getCustomQueryOptions, getDeltaTokenOption, getFormatOption, getSearchOption, getSkipOption, getSkipTokenOption, getTopOption`

    - ### Methods inherited from interface org.apache.olingo.server.api.uri.UriInfoCrossjoin

      `getCountOption, getDeltaTokenOption, getEntitySetNames, getExpandOption, getFilterOption, getFormatOption, getOrderByOption, getSearchOption, getSelectOption, getSkipOption, getSkipTokenOption, getTopOption`

    - ### Methods inherited from interface org.apache.olingo.server.api.uri.UriInfoEntityId

      `getCustomQueryOptions, getEntityTypeCast, getExpandOption, getFormatOption, getIdOption, getSelectOption`

- - ### Method Detail

    - #### getKind

          UriInfoKind getKind()

      See `UriInfoKind` for more details which kinds are allowed.
      Returns:
        the kind of this URI info object.

    - #### asUriInfoService

          UriInfoService asUriInfoService()

      Convenience casting method.
      Returns:
        this as a `UriInfoService` object

    - #### asUriInfoAll

          UriInfoAll asUriInfoAll()

      Convenience casting method.
      Returns:
        this as a `UriInfoAll` object

    - #### asUriInfoBatch

          UriInfoBatch asUriInfoBatch()

      Convenience casting method.
      Returns:
        this as a `UriInfoBatch` object

    - #### asUriInfoCrossjoin

          UriInfoCrossjoin asUriInfoCrossjoin()

      Convenience casting method.
      Returns:
        this as a `UriInfoCrossjoin` object

    - #### asUriInfoEntityId

          UriInfoEntityId asUriInfoEntityId()

      Convenience casting method.
      Returns:
        this as a `UriInfoEntityId` object

    - #### asUriInfoMetadata

          UriInfoMetadata asUriInfoMetadata()

      Convenience casting method.
      Returns:
        this as a `UriInfoMetadata` object

    - #### asUriInfoResource

          UriInfoResource asUriInfoResource()

      Convenience casting method.
      Returns:
        this as a `UriInfoResource` object

    - #### getSystemQueryOptions

          List<SystemQueryOption> getSystemQueryOptions()

      Gets a list of all system query options which were in the URI.
      Returns:
        a list of all system query options used

    - #### getAliases

          List<AliasQueryOption> getAliases()

      Gets a list of all alias definitions which were in the URI (including aliases not used anywhere).
      Returns:
        a list of all alias definitions

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.